升级 php composer 版本

更新日期: 2018-04-03 阅读次数: 9358 分类: PHP

在执行 composer update 时,报错

You made a reference to a non-existent script @php artisan package:discover

网上说是 composer 的版本太低,查看了一下当前安装的版本

composer -V
Composer version 1.2.1 2016-09-12 11:27:19

解决方法,升级 composer 版本

composer selfupdate

Updating to version 1.6.3 (stable channel).
    Downloading: 100%         
Use composer self-update --rollback to return to version 1.2.1
领取阿里云/腾讯云服务器优惠券

关于作者

我是来自山东烟台的一名开发者,喜欢瞎折腾,顺便记记笔记。有敢兴趣的话题,欢迎加微信 zhongwei 聊聊, 查看更多联系方式。 白天写程序,晚上哄熊孩子,可能回复有点慢,见谅。同时也欢迎关注我的微信公众号“大象工具”: 大象工具微信公众号

相关文章

爱评论不评论

近期节日

2020年10月31日 世界勤俭日
2020年11月01日 万圣节
2020年11月07日 立冬
2020年11月08日 中国记者日
2020年11月10日 世界青年节
2020年11月11日 光棍节
2020年11月14日 世界糖尿病日
2020年11月17日 国际大学生节
2020年11月20日 国际儿童日
2020年11月21日 世界问候日
2020年11月22日 小雪
2020年11月26日 感恩节
查看更多节日